package com.yidian.bcommon.services


/**
 * 自定义服务名称
 */
class ZapServiceNameConstants {

  companion object {
    // BSetting组件中的设置相关服务
    const val SettingService = "SettingService"

    // 生活号列表服务名称
    const val LifeNumberListService = "LifeNumberListService"

    // BGeneralBusiness组件中提供的通用服务
    const val GeneralAbilityService = "GeneralAbilityService"

    // BGeneralBusiness组件中给H5提供的通用网络请求服务(名称需要和H5同步的)
    const val BNAHttpReq = "BNAHttpReq"

    // BGeneralBusiness组件中图片服务
    const val ImageService = "imageService"

    // BOrder组件中给H5提供的支付服务(名称需要和H5同步的)
    const val BPayService = "bPayService"

    // BRoot组件中加解密服务
    const val EncryptService = "EncryptService"

    // C端客户端信息服务
    const val ClientInfoService = "cClientInfoService"

    // BManagerCenter组件中生活号管理服务
    const val LifeAccountManagerService = "LifeAccountManagerService"
  }

}
