package com.yidian.shenghuoquan.bgoods.dto

import com.google.gson.annotations.SerializedName

/**
 * author: yinjiacheng
 * date: 7/2/21 4:20 PM
 * description: 商品管理列表数据结构
 */
data class CommodityManagementListDto(

  @SerializedName("goods_list")
  val goodsList: List<Goods>,
  @SerializedName("last_id")
  val lastId: String,
  @SerializedName("status_list")
  val statusList: List<Status>
)

data class Goods(
  @SerializedName("audit_status")
  val auditStatus: Int,
  @SerializedName("desc")
  val desc: String,
  @SerializedName("desc_pic_url")
  val descPicUrl: String,
  @SerializedName("desc_pic_url_list")
  val descPicUrlList: List<String>,
  @SerializedName("goods_name")
  val goodsName: String,
  @SerializedName("goods_sku_id")
  val goodsSkuId: String,
  @SerializedName("goods_spu_id")
  val goodsSpuId: String,
  @SerializedName("inventory_rest")
  val inventoryRest: Long,
  @SerializedName("online_status")
  val onlineStatus: Int,
  @SerializedName("price")
  val price: Double,
  @SerializedName("total_amount_sold")
  val totalAmountSold: Long
)

data class Status(
  @SerializedName("name")
  val name: String,
  @SerializedName("type")
  val type: String
)
