package com.yidian.shenghuoquan.bmanagercenter.bean

/**
 * author: yinjiacheng
 * date: 5/31/21 11:07 PM
 * description: 生活号个人认证数据集
 */
class LifeAccountPersonalAuthData {
  var realName: String? = null
  var idCardNum: String? = null
  var phoneNum: String? = null // 法人手机号
  var occupation: String? = null
  var idCardPortraitFaceUrl: String? = null // 身份证人像面图片唯一标识
  var idCardNationalEmblemFaceUrl: String? = null // 身份证国徽面图片唯一标识
  var idCardPortraitFaceObjectKey: String? = null
  var idCardNationalEmblemFaceObjectKey: String? = null
  var idCardPortraitFaceBucket: String? = null
  var idCardNationalEmblemFaceBucket: String? = null
  var isIDCardPortraitFaceUpload: Boolean = false
  var isIDCardNationalEmblemFaceUpload: Boolean = false
  var idCardPortraitFaceCompleteness: Int = -1
  var idCardNationalEmblemFaceCompleteness: Int = -1
  var liveDetectBizToken: String? = null
  var liveDetectObjectKey: String? = null
  var liveDetectBucket: String? = null
  var isFaceAuthPass: Boolean = false
  var isAgreePrivacyAgreement: Boolean = false // 是否同意用户协议和隐私政策

  // 身份证相关信息
  var gender: String? = null
  var address: String? = null
  var nationality: String? = null
  var validDateStart: String? = null
  var validDateEnd: String? = null
  var issuedBy: String? = null

  fun clearData() {
    realName = null
    idCardNum = null
    phoneNum = null
    occupation = null
    idCardPortraitFaceUrl = null
    idCardNationalEmblemFaceUrl = null
    idCardPortraitFaceObjectKey = null
    idCardNationalEmblemFaceObjectKey = null
    idCardPortraitFaceBucket = null
    idCardNationalEmblemFaceBucket = null
    isIDCardPortraitFaceUpload = false
    isIDCardNationalEmblemFaceUpload = false
    idCardPortraitFaceCompleteness = -1
    idCardNationalEmblemFaceCompleteness = -1
    liveDetectBizToken = null
    liveDetectObjectKey = null
    liveDetectBucket = null
    isFaceAuthPass = false
    isAgreePrivacyAgreement = false
    gender = null
    address = null
    nationality = null
    validDateStart = null
    validDateEnd = null
    issuedBy = null
  }
}
