package com.yidian.shenghuoquan.bmanagercenter.http.httpbean

import java.io.Serializable

/**
 * author: yinjiacheng
 * date: 6/1/21 7:54 PM
 * description: API /merchant/auth/authentication
 */
class AuthAuthenticationBean(val response: Response) : Serializable {

  data class Response(
    val address: String,
    val audit_status: Int,
    val auth: Int,
    val back_image_url: String, // 身份证国徽面bucket/objectid
    val back_id_card_url: String,
    val create_time: String,
    val posit_image_url: String,  // 身份证人像面bucket/objectid
    val front_id_card_url: String,
    val full_name: String,
    val gender: String,
    val id_card: String,
    val issued_by: String,
    val live_identity_status: Int,
    val nationality: String,
    val occupation: String,
    val validity_end_time: String,
    val validity_start_time: String
  ) : Serializable

}
