package com.yidian.shenghuoquan.bmanagercenter.http.httpbean

import java.io.Serializable

/**
 * author: yinjiacheng
 * date: 6/15/21 4:11 PM
 * description: API /merchant/enterprise/get_account_by_lid
 */
class GetLifeAccountInfoByIdBean {

  data class Request(val life_account_id: Long)

  data class Response(
    val audit_status: Int,
    val code: String,
    val create_time: String,
    val enterprise_auth_record_id: Int,
    val id_card: String,
    val id_type: Int,
    val legal_person: String,
    val life_account_admin_id: Long,
    val life_account_auth_status: Int,
    val life_account_id: String,
    val life_account_name: String,
    val life_account_status: Int,
    val life_account_type: Int,
    val merchant_id: Int,
    val mobile: String,
    val name: String,
    val role_type: Int,
    val tag: Tag,
    val update_time: String,
    val occupation: String
  ) : Serializable

  data class Tag(
    val tag_key: Int,
    val tag_text: String
  ) : Serializable

}
