package com.yidian.shenghuoquan.buserorder.app.bean

data class OrderWebData(
    val create_time_text: String,
    val desc_pic_url: String,
    val discount_fee: Int,
    val goods_desc: String,
    val goods_introduce: String,
    val goods_name: String,
    val goods_num: Int,
    val goods_price: String,
    val life_account_icon: String,
    val life_account_id: String,
    val life_account_name: String,
    val marketing_id: Int,
    val marketing_name: String,
    val merge_order_item_list: List<MergeOrderItem>,
    val online_status: String,
    val order_id: String,
    val order_item_list: List<OrderItem>,
    val order_price: String,
    val order_status: Int,
    val order_status_text: String,
    val original_price: String,
    val pay_time: String,
    val payment: Double,
    val place_list: PlaceList,
    val refund_amount: Double,
    val refund_apply_time: String,
    val refund_finish_time: String,
    val shipping_list: ShippingList,
    val total_amount_sold: String,
    val total_price: Double
)

data class MergeOrderItem(
    val goods_name: String,
    val goods_num: Int,
    val price: Double
)

data class OrderItem(
    val goods_name: String,
    val goods_num: Int,
    val goods_sku_id: String,
    val price: Double
)

data class PlaceList(
    val address: String,
    val area: String,
    val city: String,
    val contact_name: String,
    val create_time: String,
    val is_delete: Int,
    val latitude: String,
    val life_account_id: String,
    val location: String,
    val longitude: String,
    val phone: String,
    val province: String,
    val take_place_id: Int,
    val take_place_name: String,
    val update_time: String
)

data class ShippingList(
    val receiver_address: String,
    val receiver_mobile: String,
    val receiver_name: String
)


