package com.yidian.bcommon.services


/**
 * 自定义服务的action
 */
class ZapServiceActionConstants {

  companion object {
    // 退出登录
    const val ActionLogout = "ActionLogout"

    // 请求生活号列表
    const val ActionRequestList = "ActionRequestList"

    // 请求短信验证码
    const val ActionRequestSmsCode = "ActionRequestSmsCode"

    // 通过服务清除内存中的认证数据
    const val ActionClearAuthenticationData = "ActionClearAuthenticationData"

    // 进行支付
    const val ActionToPay = "ActionToPay"

    // RSA私钥签名
    const val ActionRSASign = "RSASign"

    // RSA公钥验签
    const val ActionRSAVerifySign = "RSAVerifySign"

    // RSA公钥加密
    const val ActionRSAEncrypt = "RSAEncrypt"

    // RSA私钥解密
    const val ActionRSADecrypt = "RSADecrypt"

    // AES加密
    const val ActionAESEncrypt = "AESEncrypt"

    // AES解密
    const val ActionAESDecrypt = "AESDecrypt"

    // 获取C端用户信息
    const val ActionGetUserInfo = "getUserInfo"

    // 获取C端网络请求公共参数
    const val ActionGetRequestPublicParameters = "getRequestPublicParameters"

    // 延迟初始化
    const val ActionLazyInit = "lazyInit"

    // 获取TowerPro通用配置数据
    const val ActionGetTowerProCommonConfig = "getTowerProCommonConfig"

    // C端初始化
    const val ActionClintCInit = "clientCInit"

    // 获取生活号id
    const val ActionGetLifeAccountId = "getLifeAccountId"

    // 保存生活号id
    const val ActionSaveLifeAccountId = "saveLifeAccountId"

    // 清空生活号id
    const val ActionDeleteLifeAccountId = "deleteLifeAccountId"

    // 获取当前位置信息
    const val ActionGetCurrentLocation = "getCurrentLocation"
  }
}
