package com.yidian.shenghuoquan.bgeneralbusiness.service.net

import com.yidian.bcommon.http.HttpResult
import io.reactivex.rxjava3.core.Observable
import retrofit2.http.*

/**
 * H5网络请求服务协议的请求
 */
interface BNAService {

  /**
   * get请求
   */
  @GET
  fun mbGetRequest(
    @Url url: String,
    @QueryMap commonParams: Map<String, String>,
    @QueryMap params: Map<String, String?>
  ): Observable<HttpResult<Any?>>

  /**
   * post请求
   */
  @Headers("Content-Type: application/json")
  @POST
  fun mbPostRequest(
    @Url url: String,
    @QueryMap commonParams: Map<String, String>,
    @Body requestParams: Map<String, String?>
  ): Observable<HttpResult<Any?>>
}
