package com.yidian.shenghuoquan.bmanagercenter.bean

/**
 * author: yinjiacheng
 * date: 6/4/21 5:26 PM
 * description: 生活号企业认证数据集
 */
class LifeAccountMerchantAuthData {
  var merchantType: Int = 0
  var isBusinessLicenseUpload: Boolean = false
  var businessLicenseUrl: String? = null // 营业执照图片唯一标识
  var businessLicenseBucket: String? = null
  var businessLicenseObjectKey: String? = null
  var registrationName: String? = null
  var registrationCode: String? = null
  var authRecordId: Long = -1
  var isAuthInfoModify: Boolean = false // 认证信息是否修改

  // 营业执照相关信息
  var type: String? = null
  var addr: String? = null
  var pers: String? = null
  var scope: String? = null
  var time: String? = null
  var regi: String? = null
  var organizer: String? = null
  var date: String? = null
  var comp: String? = null
  var num: String? = null
  var form: String? = null
  var funding: String? = null
  var dateIssue: String? = null

  fun clearData() {
    merchantType = 0
    isBusinessLicenseUpload = false
    businessLicenseUrl = null
    businessLicenseBucket = null
    businessLicenseObjectKey = null
    registrationName = null
    registrationCode = null
    authRecordId = -1
    isAuthInfoModify = false
    type = null
    addr = null
    pers = null
    scope = null
    time = null
    regi = null
    organizer = null
    date = null
    comp = null
    num = null
    form = null
    funding = null
    dateIssue = null
  }
}
