package com.yidian.shenghuoquan.bmanagercenter.http.httpbean

/**
 * author: yinjiacheng
 * date: 6/3/21 7:37 PM
 * description: API /merchant/enterprise/legal
 */
class AuthEnterpriseLegalIdentityCommitBean {

  data class Request(
    val record_id: Long,
    val front_img: String,
    val bak_img: String,
    val front_completeness: Int,
    val bak_completeness: Int,
    val idcard_number: String,
    val gender: String?,
    val name: String,
    val address: String?,
    val nationality: String?,
    val valid_date_start: String?,
    val valid_date_end: String?,
    val issued_by: String?,
    val life_account_id: Long?,
    val mobile: String,
  )

  data class Response(val life_account_id: String, val name: String, val code: String, val legal_person: String, val legal_id_card: String)

}
