package com.yidian.shenghuoquan.bmanagercenter.http.httpbean

import java.io.Serializable

/**
 * author: yinjiacheng
 * date: 6/3/21 6:05 PM
 * description: API /merchant/enterprise/check
 */
class AuthMerchantCheckBean : Serializable {

  data class Request(
    val life_account_id: Long?,
  )

  data class Response(
    val audit_opinion: String,
    val audit_status: Int,
    val businesss_scope: String,
    val code: String,
    val data_type: Int,
    val enterprice_address: String,
    val enterprice_type: String,
    val enterprise_auth_record_id: Long,
    val business_image_url: String, // 营业执照bucket/objectid
    val entterprise_image_url: String,
    val establishment_date: String,
    val form: String,
    val funding: String,
    val issue_date: String,
    val legal_address: String,
    val back_image_url: String, // 身份证国徽面bucket/objectid
    val legal_back_id_card_url: String,
    val posit_image_url: String, // 身份证人像面bucket/objectid
    val legal_front_id_card_url: String,
    val legal_id_card: String,
    val legal_issued_by: String,
    val legal_nationality: String,
    val legal_person: String,
    val legal_validity_end_time: String,
    val legal_validity_start_time: String,
    val live_identity_status: Int,
    val mobile: String,
    val name: String,
    val num: String,
    val organizer: String,
    val registered_capital: String,
    val registration_authority: String,
    val term_time: String,
    val pers: String
  ) : Serializable

}
