package com.yidian.shenghuoquan.bmanagercenter.personnel.bean

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

/**
 * 账号列表数据类
 */
data class AccountListDto(
  @SerializedName("admin")
  val admin: List<AccountAdmin>? = null,
  @SerializedName("users")
  val users: List<AccountUser>? = null
)

@Parcelize
data class AccountAdmin(
  @SerializedName("life_account_id")
  val lifeAccountId: String? = null,
  @SerializedName("merchant_id")
  val merchantId: Int? = null,
  @SerializedName("mobile")
  val mobile: String? = null,
  @SerializedName("nick_name")
  val nickName: String? = null,
  @SerializedName("role_list")
  val roleList: List<String>? = null,
  @SerializedName("role_type")
  val roleType: Int? = null,
  @SerializedName("show_button")
  val showButton: Int? = null,
  @SerializedName("user_id")
  val userId: Long? = null
) : Parcelable

@Parcelize
data class AccountUser(
  @SerializedName("life_account_id")
  val lifeAccountId: String? = null,
  @SerializedName("merchant_id")
  val merchantId: Int? = null,
  @SerializedName("mobile")
  val mobile: String? = null,
  @SerializedName("nick_name")
  val nickName: String? = null,
  @SerializedName("role_list")
  val roleList: List<String>? = null,
  @SerializedName("role_type")
  val roleType: Int? = null,
  @SerializedName("show_button")
  val showButton: Int? = null,
  @SerializedName("user_id")
  val userId: Long? = null
) : Parcelable
