package com.yidian.shenghuoquan.bmanagercenter.wallet.http

import com.yidian.bcommon.http.HttpResult
import io.reactivex.rxjava3.core.Observable
import retrofit2.http.GET
import retrofit2.http.QueryMap

interface WalletService {

  private companion object {
    const val accountList = "/merchant/enterprise/get_account_role_list"
  }

  /**
   * 获取账号列表
   */
  @GET(accountList)
  fun getAccountList(@QueryMap commonParams: Map<String, String>, @QueryMap params: Map<String, String?>): Observable<HttpResult<Any?>>
}
