package com.yidian.shenghuoquan.buserorder.http

import com.yidian.bcommon.http.HttpResult
import io.reactivex.rxjava3.core.Observable
import retrofit2.http.Body
import retrofit2.http.POST
import retrofit2.http.QueryMap

interface UserOrderListService {
  companion object{
    const val userOrderList = "/order/order/user_order_list"
  }


  /**
   * 获取用户订单列表
   */
  @POST(userOrderList)
  fun userOrderList(@QueryMap commonParams: Map<String, String>, @Body params: Map<String, String?>): Observable<HttpResult<Any?>>
}
